Index: trunk/librairies/polytech_ge_beta/clavier_12_touches/metadata/pinlist.txt
===================================================================
--- trunk/librairies/polytech_ge_beta/clavier_12_touches/metadata/pinlist.txt	(revision 167)
+++ trunk/librairies/polytech_ge_beta/clavier_12_touches/metadata/pinlist.txt	(revision 168)
@@ -1,6 +1,6 @@
 (Pinlist
 	(Pin
-		(Name L4)
+		(Name L3)
 		(MSB )
 		(LSB )
 		(Type ANALOG)
@@ -21,7 +21,7 @@
 	)
 
 	(Pin
-		(Name L2)
+		(Name C2)
 		(MSB )
 		(LSB )
 		(Type ANALOG)
@@ -42,7 +42,7 @@
 	)
 
 	(Pin
-		(Name C3)
+		(Name C1)
 		(MSB )
 		(LSB )
 		(Type ANALOG)
@@ -63,7 +63,7 @@
 	)
 
 	(Pin
-		(Name C1)
+		(Name C3)
 		(MSB )
 		(LSB )
 		(Type ANALOG)
@@ -84,7 +84,7 @@
 	)
 
 	(Pin
-		(Name C2)
+		(Name L4)
 		(MSB )
 		(LSB )
 		(Type ANALOG)
@@ -126,7 +126,7 @@
 	)
 
 	(Pin
-		(Name L3)
+		(Name L2)
 		(MSB )
 		(LSB )
 		(Type ANALOG)
@@ -146,5 +146,26 @@
 		(DIFF_PAIR_PINS_NEG )
 	)
 
+	(Pin
+		(Name C4)
+		(MSB )
+		(LSB )
+		(Type ANALOG)
+		(Location Left)
+		(InputLoadLow )
+		(InputLoadHigh )
+		(OutputLoadLow )
+		(OutputLoadHigh )
+		(CheckLoad Off)
+		(CheckIO Off)
+		(CheckDir 0)
+		(CheckAssert 0)
+		(CheckOutput 0)
+		(UnknownLoading 0)
+		(PinShape )
+		(DIFF_PAIR_PINS_POS )
+		(DIFF_PAIR_PINS_NEG )
+	)
 
+
 )
\ No newline at end of file
Index: trunk/librairies/polytech_ge_beta/clavier_12_touches/metadata/revision.dat
===================================================================
--- trunk/librairies/polytech_ge_beta/clavier_12_touches/metadata/revision.dat	(revision 167)
+++ trunk/librairies/polytech_ge_beta/clavier_12_touches/metadata/revision.dat	(revision 168)
@@ -4,7 +4,7 @@
 
 		(Baselined	0)
 
-		(Revision	0.0.6)
+		(Revision	0.0.8)
 
 		(ModificationStatus	NULL)
 
@@ -46,13 +46,13 @@
 
 					(Max_Size	0)
 
-					(Checksum	00000000180b956d)
+					(Checksum	00000000b280a8a0)
 
 					(RevisionInfoBlock	
 
 						(Baselined	0)
 
-						(Revision	0.0.2)
+						(Revision	0.0.3)
 
 						(ModificationStatus	NULL)
 
@@ -76,13 +76,13 @@
 
 			)
 
-			(Checksum	000000001b3d0384)
+			(Checksum	000000001c9c03a7)
 
 		)
 
 		(View	Chips
 
-			(Checksum	00000000a86092f6)
+			(Checksum	0000000003b4c0ec)
 
 			(Primitives	1
 
@@ -92,7 +92,7 @@
 
 						(Baselined	0)
 
-						(Revision	0.0.3)
+						(Revision	0.0.5)
 
 						(ModificationStatus	NULL)
 
@@ -160,7 +160,7 @@
 
 		)
 
-		(Checksum	000000001cec03bb)
+		(Checksum	000000001aab034b)
 
 	)
 
@@ -170,11 +170,11 @@
 
 		(Version	16.01-s021 (v16-1-53AR))
 
-		(License	Concept_HDL_expert)
+		(License	PCB_librarian_expert)
 
 	)
 
-	(Checksum	000000001dd90404)
+	(Checksum	000000001d5203cf)
 
 )
 
Index: trunk/librairies/polytech_ge_beta/clavier_12_touches/chips/chips.prt
===================================================================
--- trunk/librairies/polytech_ge_beta/clavier_12_touches/chips/chips.prt	(revision 167)
+++ trunk/librairies/polytech_ge_beta/clavier_12_touches/chips/chips.prt	(revision 168)
@@ -1,8 +1,8 @@
 FILE_TYPE=LIBRARY_PARTS;
 primitive 'CLAVIER_12_TOUCHES';
   pin
-    'L4':
-      PIN_NUMBER='(9)';
+    'L3':
+      PIN_NUMBER='(3)';
       PIN_TYPE='ANALOG';
       NO_LOAD_CHECK='Both';
       NO_IO_CHECK='Both';
@@ -9,8 +9,8 @@
       NO_ASSERT_CHECK='TRUE';
       NO_DIR_CHECK='TRUE';
       ALLOW_CONNECT='TRUE';
-    'L2':
-      PIN_NUMBER='(5)';
+    'C2':
+      PIN_NUMBER='(2)';
       PIN_TYPE='ANALOG';
       NO_LOAD_CHECK='Both';
       NO_IO_CHECK='Both';
@@ -17,8 +17,8 @@
       NO_ASSERT_CHECK='TRUE';
       NO_DIR_CHECK='TRUE';
       ALLOW_CONNECT='TRUE';
-    'C3':
-      PIN_NUMBER='(1)';
+    'C1':
+      PIN_NUMBER='(6)';
       PIN_TYPE='ANALOG';
       NO_LOAD_CHECK='Both';
       NO_IO_CHECK='Both';
@@ -25,8 +25,8 @@
       NO_ASSERT_CHECK='TRUE';
       NO_DIR_CHECK='TRUE';
       ALLOW_CONNECT='TRUE';
-    'C1':
-      PIN_NUMBER='(8)';
+    'C3':
+      PIN_NUMBER='(4)';
       PIN_TYPE='ANALOG';
       NO_LOAD_CHECK='Both';
       NO_IO_CHECK='Both';
@@ -33,8 +33,8 @@
       NO_ASSERT_CHECK='TRUE';
       NO_DIR_CHECK='TRUE';
       ALLOW_CONNECT='TRUE';
-    'C2':
-      PIN_NUMBER='(2)';
+    'L4':
+      PIN_NUMBER='(1)';
       PIN_TYPE='ANALOG';
       NO_LOAD_CHECK='Both';
       NO_IO_CHECK='Both';
@@ -42,7 +42,7 @@
       NO_DIR_CHECK='TRUE';
       ALLOW_CONNECT='TRUE';
     'L1':
-      PIN_NUMBER='(3)';
+      PIN_NUMBER='(7)';
       PIN_TYPE='ANALOG';
       NO_LOAD_CHECK='Both';
       NO_IO_CHECK='Both';
@@ -49,8 +49,8 @@
       NO_ASSERT_CHECK='TRUE';
       NO_DIR_CHECK='TRUE';
       ALLOW_CONNECT='TRUE';
-    'L3':
-      PIN_NUMBER='(7)';
+    'L2':
+      PIN_NUMBER='(5)';
       PIN_TYPE='ANALOG';
       NO_LOAD_CHECK='Both';
       NO_IO_CHECK='Both';
@@ -57,6 +57,14 @@
       NO_ASSERT_CHECK='TRUE';
       NO_DIR_CHECK='TRUE';
       ALLOW_CONNECT='TRUE';
+    'C4':
+      PIN_NUMBER='(9)';
+      PIN_TYPE='ANALOG';
+      NO_LOAD_CHECK='Both';
+      NO_IO_CHECK='Both';
+      NO_ASSERT_CHECK='TRUE';
+      NO_DIR_CHECK='TRUE';
+      ALLOW_CONNECT='TRUE';
   end_pin;
   body
     PART_NAME='CLAVIER_12_TOUCHES';
@@ -64,7 +72,7 @@
     JEDEC_TYPE='sip9_clavier';
     PHYS_DES_PREFIX='U';
     CLASS='IC';
-    NC_PINS='(4,6,10,11,12,13)';
+    NC_PINS='(8,10,11,12,13)';
   end_body;
 end_primitive;
 
Index: trunk/librairies/polytech_ge_beta/clavier_12_touches/sym_1/symbol.css
===================================================================
--- trunk/librairies/polytech_ge_beta/clavier_12_touches/sym_1/symbol.css	(revision 167)
+++ trunk/librairies/polytech_ge_beta/clavier_12_touches/sym_1/symbol.css	(revision 168)
@@ -1,94 +1,116 @@
+C -150 -300 "L4" -175 -300 0 1 29 0 R
+X "PIN_TEXT" "*" 0 -300 0.00 0.00 47 0 0 0 0 0 1 0 82
+C 0 150 "C1" -1 175 0 1 29 1 L
+C 175 150 "C3" 175 175 0 1 29 1 L
+C 275 150 "C4" 300 225 0 1 29 1 R
 C -150 -200 "L3" -175 -200 0 1 29 0 R
-C 50 150 "C2" 50 175 0 1 29 1 L
-C -50 150 "C1" -51 175 0 1 29 1 L
-C 150 150 "C3" 150 175 0 1 29 1 L
-C -150 -300 "L4" -175 -300 0 1 29 0 R
+X "PIN_TEXT" "7" 0 -200 0.00 0.00 47 0 0 0 0 0 1 0 82
 C -150 0 "L1" -175 0 0 1 29 0 R
+X "PIN_TEXT" "1" 0 0 0.00 0.00 47 0 0 0 0 0 1 0 82
 C -150 -100 "L2" -175 -100 0 1 29 0 R
-L -100 100 -100 -350 -1 0
-L -100 100 250 100 -1 0
-L -100 -350 250 -350 -1 0
-L 250 100 250 -350 -1 0
-L -75 -25 -75 50 -1 16
-L 0 -25 -75 -25 -1 16
-L -75 50 0 50 -1 16
-L 0 50 0 -25 -1 16
-L 25 -25 25 50 -1 16
-L 100 -25 25 -25 -1 16
-L 25 50 100 50 -1 16
+X "PIN_TEXT" "4" 0 -100 0.00 0.00 47 0 0 0 0 0 1 0 82
+C 50 150 "C2" 50 175 0 1 29 1 L
+L -150 0 -75 0 -1 0
+L -75 100 -75 -350 -1 0
+L 350 100 -75 100 -1 0
+L -75 -350 350 -350 -1 0
+L 350 100 350 -350 -1 0
+L -25 -50 75 -50 -1 16
+L -25 -50 -25 -125 -1 16
+L 75 -125 75 -50 -1 16
+L -25 -125 75 -125 -1 16
+L 75 -150 -25 -150 -1 16
+L 75 -225 75 -150 -1 16
+L -25 -150 -25 -225 -1 16
+L -25 -225 75 -225 -1 16
+L -25 -25 75 -25 -1 16
+L -25 50 -25 -25 -1 16
+L 75 -25 75 50 -1 16
+L 75 50 -25 50 -1 16
+L 50 150 50 100 -1 0
+L 0 -50 0 -25 3135 16
+L 0 50 0 75 3135 16
+L 0 150 0 100 -1 0
+L 75 -250 -25 -250 -1 16
+L 75 -325 75 -250 -1 16
+L -25 -250 -25 -325 -1 16
+L 75 -325 -25 -325 -1 16
+L -150 -300 -75 -300 -1 0
+L -150 -200 -75 -200 -1 0
+L -50 -300 -25 -300 3135 16
+L -150 -100 -75 -100 -1 0
+L 175 150 175 100 -1 0
+L 275 100 275 150 -1 0
+L 200 -300 225 -300 3135 16
+L 200 -325 200 -250 -1 16
+L 225 -250 225 -325 -1 16
+L 200 -200 225 -200 3135 16
+L 200 -225 200 -150 -1 16
+L 225 -150 225 -225 -1 16
+L 200 -100 225 -100 3135 16
+L 200 -125 200 -50 -1 16
+L 225 -50 225 -125 -1 16
+L 75 -300 100 -300 3135 16
+L 100 -250 100 -325 -1 16
+L 75 -200 100 -200 3135 16
+L 100 -150 100 -225 -1 16
+L 75 -100 100 -100 3135 16
+L 100 -50 100 -125 -1 16
+L 75 0 100 0 3135 16
 L 100 50 100 -25 -1 16
-L 125 -25 125 50 -1 16
-L 200 -25 125 -25 -1 16
-L 125 50 200 50 -1 16
-L 200 50 200 -25 -1 16
-L 25 -50 100 -50 -1 16
-L 25 -125 25 -50 -1 16
-L 100 -50 100 -125 -1 16
-L 100 -125 25 -125 -1 16
-L -75 -50 0 -50 -1 16
-L -75 -125 -75 -50 -1 16
-L 0 -50 0 -125 -1 16
-L 0 -125 -75 -125 -1 16
-L 25 -150 100 -150 -1 16
-L 25 -225 25 -150 -1 16
-L 100 -150 100 -225 -1 16
-L 100 -225 25 -225 -1 16
-L -75 -150 0 -150 -1 16
-L -75 -225 -75 -150 -1 16
-L 0 -150 0 -225 -1 16
-L 0 -225 -75 -225 -1 16
-L -75 -250 0 -250 -1 16
-L -75 -325 -75 -250 -1 16
-L 0 -250 0 -325 -1 16
-L 0 -325 -75 -325 -1 16
-L -150 -300 -100 -300 -1 0
-L 25 -325 25 -250 -1 16
-L 100 -325 25 -325 -1 16
-L 25 -250 100 -250 -1 16
-L 100 -250 100 -325 -1 16
-L 125 -325 125 -250 -1 16
-L 200 -325 125 -325 -1 16
-L 125 -250 200 -250 -1 16
-L 200 -250 200 -325 -1 16
-L 200 -225 125 -225 -1 16
-L 200 -150 200 -225 -1 16
-L 125 -225 125 -150 -1 16
-L 125 -150 200 -150 -1 16
-L 200 -50 200 -125 -1 16
-L 125 -50 200 -50 -1 16
-L 200 -125 125 -125 -1 16
-L 125 -125 125 -50 -1 16
-L -150 -100 -100 -100 -1 0
-L -150 -200 -100 -200 -1 0
-L -150 0 -100 0 -1 0
-L 150 150 150 100 -1 0
-L 50 150 50 100 -1 0
-L -50 150 -50 100 -1 0
-T -50 -100 0.00 0.00 47 0 0 0 0 1 82
-4
-T -50 0 0.00 0.00 47 0 0 0 0 1 82
-1
-T 50 0 0.00 0.00 47 0 0 0 0 1 82
+L -50 0 -25 0 3135 16
+L -50 -200 -25 -200 3135 16
+L -50 -100 -25 -100 3135 16
+L 200 -125 100 -125 -1 16
+L 100 -50 200 -50 -1 16
+L 325 -125 225 -125 -1 16
+L 225 -50 325 -50 -1 16
+L 325 -50 325 -125 -1 16
+L 325 -25 225 -25 -1 16
+L 325 50 325 -25 -1 16
+L 225 50 225 -25 -1 16
+L 225 50 325 50 -1 16
+L 275 -50 275 -25 3135 16
+L 275 50 275 75 3135 16
+L 200 -25 100 -25 -1 16
+L 100 50 200 50 -1 16
+L 200 -25 200 50 -1 16
+L 200 0 225 0 3135 16
+L 175 -50 175 -25 3135 16
+L 200 -325 100 -325 -1 16
+L 325 -325 225 -325 -1 16
+L 325 -250 325 -325 -1 16
+L 325 -150 325 -225 -1 16
+L 50 -150 50 -125 3135 16
+L 175 -250 175 -225 3135 16
+L 175 -150 175 -125 3135 16
+L 275 -250 275 -225 3135 16
+L 275 -150 275 -125 3135 16
+L 175 50 175 75 3135 16
+L 50 -250 50 -225 3135 16
+L 100 -250 200 -250 -1 16
+L 225 -250 325 -250 -1 16
+L 200 -225 100 -225 -1 16
+L 325 -225 225 -225 -1 16
+L 100 -150 200 -150 -1 16
+L 225 -150 325 -150 -1 16
+T 127 -374 0.00 0.00 23 0 0 1 0 18 0
+clavier_12_touches
+T 125 -100 0.00 0.00 47 0 0 0 0 1 82
+5
+T 250 0 0.00 0.00 47 0 0 0 0 1 82
+3
+T 125 0 0.00 0.00 47 0 0 0 0 1 82
 2
-T 50 -200 0.00 0.00 47 0 0 0 0 1 82
+T 125 -300 0.00 0.00 47 0 0 0 0 1 82
+0
+T 125 -200 0.00 0.00 47 0 0 0 0 1 82
 8
-T 50 -100 0.00 0.00 47 0 0 0 0 1 82
-5
-T -50 -200 0.00 0.00 47 0 0 0 0 1 82
-7
-T -50 -300 0.00 0.00 47 0 0 0 0 1 82
-*
-T 50 -300 0.00 0.00 47 0 0 0 0 1 82
-0
-T 150 -300 0.00 0.00 47 0 0 0 0 1 82
-#
-T 150 -200 0.00 0.00 47 0 0 0 0 1 82
+T 250 -200 0.00 0.00 47 0 0 0 0 1 82
 9
-T 150 -100 0.00 0.00 47 0 0 0 0 1 82
+T 250 -100 0.00 0.00 47 0 0 0 0 1 82
 6
-T 77 -399 0.00 0.00 29 0 0 1 0 18 0
-clavier_12_touches
-T 150 0 0.00 0.00 47 0 0 0 0 1 82
-3
-P "$LOCATION" "?" -181 209 0.00 0.00 57 0 0 0 0 0 1 0 0
-P "CDS_LMAN_SYM_OUTLINE" "-125,175,125,-175" 0 0 0.00 0.00 22 0 0 0 0 0 0 0 0
+T 250 -300 0.00 0.00 47 0 0 0 0 1 82
+#
+P "$LOCATION" "?" -131 184 0.00 0.00 57 0 0 0 0 0 1 0 0
+P "CDS_LMAN_SYM_OUTLINE" "-100,100,250,-350" 50 0 0.00 0.00 22 0 0 0 0 0 0 0 0
Index: trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/pc.db
===================================================================
--- trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/pc.db	(revision 167)
+++ trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/pc.db	(revision 168)
@@ -1 +1 @@
--- pcdb file, Rev:1.0 written by VAN 05.01-s01 on Sep 22, 2010  16:51:20
+-- pcdb file, Rev:1.0 written by VAN 05.01-s01 on Oct  8, 2010  14:47:20
Index: trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/verilog.v
===================================================================
--- trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/verilog.v	(revision 167)
+++ trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/verilog.v	(revision 168)
@@ -1,10 +1,11 @@
-// generated by newgenasym  Wed Sep 29 11:12:22 2010
+// generated by newgenasym  Fri Oct 08 15:01:00 2010
 
 
-module clavier_12_touches (c1, c2, c3, l1, l2, l3, l4);
+module clavier_12_touches (c1, c2, c3, c4, l1, l2, l3, l4);
     inout c1;
     inout c2;
     inout c3;
+    inout c4;
     inout l1;
     inout l2;
     inout l3;
Index: trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/vlog004u.sir
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/vhdl.vhd
===================================================================
--- trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/vhdl.vhd	(revision 167)
+++ trunk/librairies/polytech_ge_beta/clavier_12_touches/entity/vhdl.vhd	(revision 168)
@@ -1,4 +1,4 @@
--- generated by newgenasym Wed Sep 29 11:12:23 2010
+-- generated by newgenasym Fri Oct 08 15:01:00 2010
 
 library ieee;
 use     ieee.std_logic_1164.all;
@@ -8,6 +8,7 @@
 	C1:        INOUT  STD_LOGIC;    
 	C2:        INOUT  STD_LOGIC;    
 	C3:        INOUT  STD_LOGIC;    
+	C4:        INOUT  STD_LOGIC;    
 	L1:        INOUT  STD_LOGIC;    
 	L2:        INOUT  STD_LOGIC;    
 	L3:        INOUT  STD_LOGIC;    