Index: branch/fichot/Emb_App.tws
===================================================================
--- branch/fichot/Emb_App.tws	(revision 141)
+++ branch/fichot/Emb_App.tws	(revision 142)
@@ -7,9 +7,7 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" -8 -30 1596 659 1 0 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/fichot/Emb_App/programme_principal_etud.c
===================================================================
--- branch/fichot/Emb_App/programme_principal_etud.c	(revision 141)
+++ branch/fichot/Emb_App/programme_principal_etud.c	(revision 142)
@@ -121,6 +121,37 @@
 //				correspondant au nom du véhicule si le nom se termine par '*'
 
 
+
+void vit_rot()
+{
+CanFrame comm;
+comm.data.id = 'T';
+comm.data.rtr = 0;
+comm.data.val = 120;
+snd_dtq(CanTx, comm.msg);
+}	
+
+	
+void angle()
+{	
+CanFrame req;
+CanFrame reponse;
+float alpha;
+req.data.id = 'R';
+req.data.rtr = 1;
+snd_dtq (CanTx,req.msg); 
+
+rcv_dtq(CanRx, &reponse.msg);
+alpha = reponse.data.val; 
+	
+}
+
+
+
+
+
+
+
 void main()
 {
 	ports_mcu();
@@ -133,19 +164,21 @@
 	capture_init();
 
 	sta_cyc(ID_acqui);
-//	sta_tsk(ID_periph_rx);
+	// sta_tsk(ID_periph_rx);
+	
+	while(1)
+	{
+		LED_J=1;
+		dly_tsk(100);
+		LED_J=0;
+		dly_tsk(100);
+	}
+}		
 
-    while(1)
-    {
-		LED_J=1;
-		dly_tsk(100);
-		LED_J=0;
-		dly_tsk(100);
-    }
-}
-
 void acqui()
 {
 	LED_V=!LED_V;
 }
-
+
+
+	 
Index: branch/fichot/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/fichot/Emb_App/EmbM32C87App.hwp	(revision 141)
+++ branch/fichot/Emb_App/EmbM32C87App.hwp	(revision 142)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_2018_fichot\Emb_App" "E:\tp_info6_2018_fichot\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Release" 
+"Debug" "E:\tp_info6_2018_fichot\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_fichot\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2018_fichot\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2018_fichot\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2018_fichot\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2018_fichot\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2018_fichot\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_fichot\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_2018_fichot\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2018_fichot\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_fichot\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2018_fichot\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_fichot\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_fichot\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_fichot\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_fichot\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_fichot\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_fichot\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_fichot\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_fichot\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/fichot/Emb_App.hws
===================================================================
--- branch/fichot/Emb_App.hws	(revision 141)
+++ branch/fichot/Emb_App.hws	(revision 142)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_2018_fichot" "E:\tp_info6_2018_fichot\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_2018_fichot\Emb_App" "E:\tp_info6_2018_fichot\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]