Index: branch/zemeta/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/zemeta/Emb_App/SessionM32C_E8a_system.ini	(revision 168)
+++ branch/zemeta/Emb_App/SessionM32C_E8a_system.ini	(revision 169)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff0014
+RESET=ff0016
Index: branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf	(revision 168)
+++ branch/zemeta/Emb_App/SessionM32C_E8a_system.hsf	(revision 169)
@@ -277,7 +277,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.09" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.08" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
@@ -312,8 +312,8 @@
 "E:\tp_info6_2018_zemeta\tp_info6\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\Emb_App\crt0mr.a30" 
 "E:\tp_info6_2018_zemeta\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_zemeta\tp_info6\bsp\dma0.c" 
 "E:\tp_info6_2018_zemeta\tp_info6\bsp\can.c" 
-"E:\tp_info6_2018_zemeta\tp_info6\bsp\dma0.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -360,5 +360,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 127837712 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 99318680 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/zemeta/Emb_App/programme_principal_etud.c
===================================================================
--- branch/zemeta/Emb_App/programme_principal_etud.c	(revision 168)
+++ branch/zemeta/Emb_App/programme_principal_etud.c	(revision 169)
@@ -120,9 +120,14 @@
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
 //				correspondant au nom du véhicule si le nom se termine par '*'
 CanFrame comm; 
+unsigned short alpha ;
+unsigned short k=1, angle_reel, error ;
 
 void main()
-{
+{
+	
+	//short vitesse = 120 ;
+
 	ports_mcu();
     lcd_init();
 	periph_init();
@@ -131,11 +136,12 @@
     can_init();
     clavier_init(1);
 	capture_init();
-
+	
 	//sta_cyc(ID_acqui);
 	//sta_tsk(id_acqui_pos);
 	sta_tsk(id_avance);
-
+	//sta_tsk(id_telemetre);
+	sta_tsk(id_ass);
 //	sta_tsk(ID_periph_rx);
 
     while(1)
@@ -161,12 +167,12 @@
 		comm.data.val = 120 ; 
 		snd_dtq(CanTx, comm.msg) ;
 		
-		dly_tsk (1000) ; 
+		/*dly_tsk (1000) ; 
 		comm.data.id = 'T' ;
 		comm.data.rtr = 0 ;
 		comm.data.val = 0 ; 
 		snd_dtq(CanTx, comm.msg) ;
-		dly_tsk (1000) ; 
+		dly_tsk (1000) ; */
 
 	
 	}
@@ -175,7 +181,6 @@
 void acqui_pos()
 {
 	CanFrame requete, reponse ;
-	unsigned short alpha ;
 	while (1)
 	{
 		requete.data.id = 'R' ; // variable requete sert a envoyter une requete.
@@ -188,6 +193,7 @@
 }
 
 //Envoie commande vitesse voiture 
+
 void avance_voiture()
 {
 	while(1)
@@ -194,23 +200,23 @@
 	{
 		comm.data.id = 'V' ;
 		comm.data.rtr = 0 ;
-		comm.data.val = 120 ; 
+		comm.data.val = 50 ; 
 		snd_dtq(CanTx, comm.msg) ;
 	}
 }
 
+
 void asservissement_voiture()
 {
 	CanFrame requete, reponse ; 
-	unsigned short K=1, angle_reel, error ;
 	
 	while(1)
 	{
-		// envoie commande deplacement voiture
+		/*// envoie commande deplacement voiture
 		comm.data.id = 'V' ;
 		comm.data.rtr = 0 ;
 		comm.data.val = 20 ; 
-		snd_dtq(CanTx, comm.msg) ;
+		snd_dtq(CanTx, comm.msg) ;*/
 		
 		// envoie commande tourelle 
 		comm.data.id = 'T' ;
@@ -227,7 +233,11 @@
 		
 		//asservissement position tourelle
 		error = comm.data.val - angle_reel ;
-		com = k*error ; 
+		// envoie nouvelle commande tourelle 
+		comm.data.id = 'T' ;
+		comm.data.rtr = 0 ;
+		comm.data.val = k*error  ; 
+		snd_dtq(CanTx, comm.msg) ;
 		
 	}
 	
Index: branch/zemeta/Emb_App/conf_noyau.cfg
===================================================================
--- branch/zemeta/Emb_App/conf_noyau.cfg	(revision 168)
+++ branch/zemeta/Emb_App/conf_noyau.cfg	(revision 169)
@@ -93,6 +93,17 @@
 	exinf	= 0x0;
 };
 
+task[]{
+	entry_address	= asservissement_voiture();
+	name	= id_ass;
+	stack_size	= 256;
+	stack_section	= stack;
+	priority	= 2;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
+
+
 flag[]{
 	name	= ev_bus_fin_tr;
 	initial_pattern	= 0x0000;
Index: branch/zemeta/Emb_App/EmbM32C87App.tps
===================================================================
--- branch/zemeta/Emb_App/EmbM32C87App.tps	(revision 168)
+++ branch/zemeta/Emb_App/EmbM32C87App.tps	(revision 169)
@@ -18,7 +18,7 @@
 "SessionM32C_E8a_system" 
 [GENERAL_DATA_PROJECT]
 [GENERAL_DATA_CONFIGURATION_Debug]
-"PROJECT_FILES_MODIFIED_DATA_TAG" "FALSE" 
+"PROJECT_FILES_MODIFIED_DATA_TAG" "TRUE" 
 [SESSIONS_Debug]
 "DefaultSession" 
 "SessionM32C_E8a_system" 